Bug 248898 - Review Request: kdepimlibs - K Desktop Environment - PIM Libraries
Summary: Review Request: kdepimlibs - K Desktop Environment - PIM Libraries
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 289231
Blocks: 289251
TreeView+ depends on / blocked
 
Reported: 2007-07-19 15:02 UTC by Rex Dieter
Modified: 2007-11-30 22:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 20:32:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
cleanup specfile (5.27 KB, text/plain)
2007-07-24 15:18 UTC, Ngo Than
no flags Details
cleanup specfile (5.28 KB, text/plain)
2007-07-24 15:26 UTC, Ngo Than
no flags Details

Description Rex Dieter 2007-07-19 15:02:14 UTC
Spec URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/kdepimlibs/devel/kdepimlibs.spec
SRPM URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/kdepimlibs/devel/kdepimlibs-3.91.0-3.src.rpm
Description:
Personal Information Management (PIM) libraries for the
K Desktop Environment 4.

Comment 1 Kevin Kofler 2007-07-19 15:11:06 UTC
The spec URL doesn't work, it's actually at:
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/kdepimlibs/devel/kdepimlibs4.spec

Comment 2 Kevin Kofler 2007-07-19 17:32:08 UTC
The build (in mock for Rawhide) fails because of this:
Error: Missing Dependency: kdelibs = 3.91.0-5.fc8 is needed by package 
kdelibs-devel
Missing epoch there. So I can't really review this without a fixed kdelibs 4 
SRPM.

Comment 3 Rex Dieter 2007-07-19 17:36:14 UTC
ok.


Comment 4 Kevin Kofler 2007-07-19 21:11:40 UTC
kdelibs 4 fixed now, so here's the review:

MUST Items:
! rpmlint output:
  * W: kdepimlibs no-documentation
  -> At least the license should be included as %doc. (I'll take the blame for 
that one. ;-) )
  * W: kdepimlibs-devel no-documentation
  -> OK, this one is acceptable, but like for Soprano, we should generate 
apidocs for kdelibs and kdepimlibs before the F8 release.
  * W: kdepimlibs-debuginfo 
spurious-executable-perm /usr/src/debug/kdepimlibs-3.91.0/mailtransport/servertest.h
  -> OK, this one is upstream's fault.
+ named and versioned according to the Package Naming Guidelines
! spec file name doesn't match base package name, please rename to 
kdepimlibs.spec before import
+ Packaging Guidelines:
  + License LGPL OK, matches actual license
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
  + Complies with the FHS
  + proper changelog, tags, BuildRoot, Requires, BuildRequires, Summary, 
Description
  + no non-UTF-8 characters
  ! relevant documentation not included
    See "rpmlint output" above.
  + RPM_OPT_FLAGS are used (%cmake macro)
  + debuginfo package is valid
  + no static libraries nor .la files
  + no duplicated system libraries
  + no rpaths, at least on i386 (I ran readelf -d on the shared objects)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + no executables, so no .desktop file present or needed
  + no timestamp-clobbering file commands
  + _smp_mflags used
  + scriptlets are valid
  + not a web application, so web application guideline doesn't apply
  + no conflicts
+ complies with all the legal guidelines
! license not included as %doc (see "rpmlint output" above)
+ spec file written in American English
+ spec file is legible
+ source matches upstream:
  MD5SUM: 978712ededae818f2b9225897684b752
  SHA1SUM: 9bb8202db3a7a5ee968cfb26c24800e3d08103de
+ builds on at least one arch (F8 i386 mock)
+ no known non-working arches, so no ExcludeArch needed
+ all build dependencies listed in CMakeLists.txt as well as cmake itself are 
listed in BuildRequires
  (However, an additional BuildRequires: doxygen will be needed for 
the -apidocs.)
+ no translations in original tarball, so translation/locale guidelines don't 
apply
+ ldconfig correctly called in %post and %postun
+ package not relocatable
+ ownership correct (owns package-specific directories, doesn't own directories 
owned by another package)
+ no duplicate files in %files
+ permissions set properly
+ %clean section present and correct
+ macros used where possible
+ no non-code content
+ no large documentation files, so no -doc package needed
+ no %doc files, so no possible issues with %doc files required at runtime
+ all header files in -devel
+ no static libraries, so no -static package needed
+ no .pc files, so no Requires: pkgconfig needed
+ /usr/lib/*.so symlinks are correctly in -devel
+ /usr/lib/kde4/*.so plugins (NOT symlinks) are correctly NOT in -devel
+ -devel requires %{name} = %{version}-%{release}
+ no .la files
+ no GUI programs (in fact, no executables at all), so no .desktop file needed
+ buildroot is deleted at the beginning of %install
  But you know my usual nitpick by now. ;-) I recommend a:
  mkdir $RPM_BUILD_ROOT
  after the:
  rm -rf $RPM_BUILD_ROOT
  to prevent a potential symlink attack as pointed out by the OpenSUSE folks.
  Though in this case my original packages didn't have it either, so I take 
part of the blame.
  Anyway, it's not required by the guidelines, so this is definitely not a 
blocker.
+ all filenames are valid UTF-8

SHOULD Items: 
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (Rawhide i386)
* Skipping the "all architectures" test.
+ package functions as expected (at least the F7 version I tested did ;-) )
+ scriptlets are sane
+ no subpackages other than -devel, so "Usually, subpackages other than devel 
should require the base package using a fully versioned dependency." is 
irrelevant
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies

Please fix these before import:
* add at least the license(s) as %doc
* rename the specfile to kdepimlibs.spec
With these changes, the package is APPROVED.

These can be addressed at a later time:
* add BuildRequires: doxygen
* create an -apidocs subpackage

Comment 5 Ngo Than 2007-07-24 15:18:35 UTC
Created attachment 159855 [details]
cleanup specfile

* Tue Jul 24 2007 Than Ngo <than@redhat.com> - 3.91.0-4
- add BuildRequires: doxygen
- add README COPYING COPYING.BSD COPYING.LIB
- rename to kdepimlibs

Kevin, could you please approve this, so we can commit into kde4-branch CVS?
Thanks

Comment 6 Kevin Kofler 2007-07-24 15:25:43 UTC
I already did (fedora-review is already +, I've also just checked your changes 
and can confirm that they adress the 2 points I raised), all that's missing is 
the CVS request. I can fill it out if you want, but normally it's the submitter 
doing it. :-)

Your BuildRequires: doxygen won't do anything by itself. It also needs 
the "make apidox" or something like that and the -apidocs subpackage. But as I 
already said, this can be addressed later.

Comment 7 Ngo Than 2007-07-24 15:26:25 UTC
Created attachment 159857 [details]
cleanup specfile

correct specfile

Comment 8 Ngo Than 2007-07-24 15:29:29 UTC
Kevin, it's nice if you could fill it out please. So i can commit it into CVS 
ASAP. Thanks

Comment 9 Kevin Kofler 2007-07-24 15:32:39 UTC
New Package CVS Request
=======================
Package Name: kdepimlibs
Short Description: K Desktop Environment - PIM Libraries
Owners: than@redhat.com,rdieter@math.unl.edu
Branches:
InitialCC:

Comment 10 Kevin Kofler 2007-09-13 13:27:57 UTC
Given that the plan for F8 has changed, we cannot simply update kdelibs to the 
KDE 4 version, so this cannot be built before kdelibs4 is approved and 
imported. (That's also why it's still open.) Adding a dependency accordingly.

Comment 11 Kevin Kofler 2007-09-20 19:56:42 UTC
Package Change Request
======================
Package Name: kdepimlibs
New Branches: F-7

We'd like an F7 branch for this one please, with the same permissions as devel.

Comment 12 Kevin Fenzi 2007-09-21 02:26:59 UTC
cvs done.

Comment 13 Kevin Kofler 2007-09-21 20:32:33 UTC
Built for Rawhide and F7, push to F7 updates-testing requested.


Note You need to log in before you can comment on or make changes to this bug.